Bug 36019 - seawolf leaks fd's (up2date-2.5.2-1)
seawolf leaks fd's (up2date-2.5.2-1)
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-04-16 08:52 EDT by Emmanuel Galanos
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-05 16:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Emmanuel Galanos 2001-04-16 08:52:01 EDT
in /usr/sharerhn/up2date.py CheckRpmMd5() and hasBadSignature()
in the true "if" case you need a:
on about line 955 and also line 1531
also the false case you do not close "lines".

This stuffs up a large package list download if it is interrupted
when up2date tries to verify the sig of the saved rpms.
Comment 1 Preston Brown 2001-04-16 10:53:41 EDT
seems reasonable, if not essential.
Comment 2 Adrian Likins 2001-07-05 20:34:21 EDT
This has been added in the most recent clients. The up2date errata
for up2date-2.5.4 includes this fix.

Note You need to log in before you can comment on or make changes to this bug.